using FLY.OBJComponents.Client;
using FLY.Thick.Base.Client;
using FLY.Thick.Base.Common;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace ThickTcpUiInWindow
{
    /// <summary>
    /// UcMicroGage.xaml 的交互逻辑
    /// </summary>
    public partial class CtMicroGage : UserControl
    {
        CtMicroGageVm viewModel;
        /// <summary>
        /// 
        /// </summary>
        public CtMicroGage()
        {
            InitializeComponent();

            viewModel = new CtMicroGageVm();
            this.DataContext = viewModel;
        }
        /// <summary>
        /// 初始化
        /// </summary>
        /// <param name="dynArea"></param>
        /// <param name="initParam"></param>
        /// <param name="gageService"></param>
        /// <param name="warningReasonWindow"></param>
        public void Init(
            DynArea dynArea,
            InitParamServiceClient initParam,
            TDGageServiceClient gageService,
            BufferWindow<FLY.OBJComponents.Common.FlyData_WarningHistory> warningReasonWindow)
        {


            viewModel.Init(dynArea,initParam,gageService,warningReasonWindow);
        }
    }
    /// <summary>
    /// 
    /// </summary>
    public class IO2BitColorConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            SolidColorBrush Color_theme_activity = new SolidColorBrush(Colors.WhiteSmoke);
            SolidColorBrush Color_theme_static = new SolidColorBrush(Color.FromArgb(0xFF, 0x3B, 0x3B, 0x3B));
            try
            {
                UInt16 io = (UInt16)value;
                string str = (string)parameter;
                int bitno = int.Parse(str);
                if (Misc.MyBase.CHECKBIT(io, bitno))
                    return Color_theme_static;
                else
                    return Color_theme_activity;
            }
            catch
            {
                return Color_theme_static;
            }

        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
